Workflow template update status
curl --request GET \
--url https://lanesync.dev/api/repos/{repoId}/workflow-update-status \
--cookie connect.sid=import requests
url = "https://lanesync.dev/api/repos/{repoId}/workflow-update-status"
headers = {"cookie": "connect.sid="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'connect.sid='}};
fetch('https://lanesync.dev/api/repos/{repoId}/workflow-update-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "UP_TO_DATE",
"currentRevision": "<string>",
"installedRevision": "<string>",
"pendingTargetRevision": "<string>",
"managedFiles": [
".github/workflows/sdlc-enforce.yml"
],
"canAppCreatePr": true,
"requiresPat": true,
"stalePending": true,
"pendingPr": {
"number": 123,
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"targetRevision": "<string>"
}
}{
"error": "<string>"
}Repos
Workflow template update status
Returns whether managed workflow templates are up to date, which files would be updated, and any pending update PR. Requires bootstrap state COMPLETE or LEGACY.
GET
/
api
/
repos
/
{repoId}
/
workflow-update-status
Workflow template update status
Authorizations
GitHub OAuth session cookie
Path Parameters
Response
Update status
Available options:
UP_TO_DATE, UPDATE_AVAILABLE, PR_PENDING SHA-256 of current managed templates
Example:
[".github/workflows/sdlc-enforce.yml"]
Show child attributes
Show child attributes
⌘I